[GoogleAppEngine] exception when saving page
Closed, DeclinedPublic

Description

When saving a page:

action=submit
TypeError from line 60 of extensions/GoogleAppEngine/job/JobQueueGAE.php:
Argument 1 passed to JobQueueGAE::convertJobToTask() must be an instance of Job, instance of JobSpecification given,
called in extensions/GoogleAppEngine/job/JobQueueGAE.php on line 36

Reproducible by installing the extension then trying to save a page. Or with Quibble : ZUUL_PROJECT=mediawiki/extensions/GoogleAppEngine quibble --run=selenium.

Fixed by https://gerrit.wikimedia.org/r/437259


Then a page fails to load with Call to undefined function google\net\bccomp() ( https://github.com/GoogleCloudPlatform/appengine-php-sdk/issues/15 ) which is due to the Quibble image lacking the PHP bcmath extension.

Fixed by adding bcmath https://gerrit.wikimedia.org/r/442338

hashar created this task.Jun 4 2018, 10:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 10:33 AM

Change 437259 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/GoogleAppEngine@master] Job -> iJobSpecification

https://gerrit.wikimedia.org/r/437259

Change 442294 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] GoogleAppEngine requires composer

https://gerrit.wikimedia.org/r/442294

Change 442294 merged by jenkins-bot:
[integration/config@master] GoogleAppEngine requires composer

https://gerrit.wikimedia.org/r/442294

hashar updated the task description. (Show Details)Jun 27 2018, 4:04 PM

Change 442338 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add bcmath/ldap to Quibble images

https://gerrit.wikimedia.org/r/442338

Change 442338 merged by jenkins-bot:
[integration/config@master] docker: add bcmath/ldap to Quibble images

https://gerrit.wikimedia.org/r/442338

Change 442339 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump php7/hhvm Quibble jobs to 0.0.19-1

https://gerrit.wikimedia.org/r/442339

Mentioned in SAL (#wikimedia-releng) [2018-06-27T16:27:14Z] <hashar> Building Docker containers releng/quibble-jessie-php55:0.0.19-1 and releng/quibble-stretch:0.0.19-1 | T196346 T198336

hashar claimed this task.Jun 27 2018, 4:27 PM
Vvjjkkii renamed this task from [GoogleAppEngine] exception when saving page to 9obaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to hashar.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from 9obaaaaaaa to [GoogleAppEngine] exception when saving page.
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 442339 merged by jenkins-bot:
[integration/config@master] Bump php7/hhvm Quibble jobs to 0.0.19-1

https://gerrit.wikimedia.org/r/442339

hashar updated the task description. (Show Details)Jul 2 2018, 9:29 AM

Change 444418 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate GoogleAppEngine to Quibble without Selenium

https://gerrit.wikimedia.org/r/444418

hashar closed this task as Declined.Jul 7 2018, 9:24 PM

CI is not Google App Engine, so I have disabled the selenium test in CI.

Change 444418 merged by jenkins-bot:
[integration/config@master] Migrate GoogleAppEngine to Quibble without Selenium

https://gerrit.wikimedia.org/r/444418

Change 437259 abandoned by Hashar:
Job -> IJobSpecification

https://gerrit.wikimedia.org/r/437259